Package net.sourceforge.jiu.data

# Interface Paletted8Image

All Superinterfaces:
  `ByteChannelImage`, `IntegerImage`, `PalettedImage`, `PalettedIntegerImage`, `PixelImage`

All Known Implementing Classes:
  `MemoryPaletted8Image`

public interface Paletted8Image extends ByteChannelImage, PalettedIntegerImage
An interface for classes that store paletted images with eight bit integers for each pixel.

Author:
  Marco Schmidt
See Also:
  - `ByteChannelImage`
  - `PalettedIntegerImage`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.ByteChannelImage

`clear, clear, getByteSample, getByteSample, getByteSamples, putByteSample, putByteSample, putByteSamples`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PalettedImage

`getPalette, setPalette`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`